Subject: bug#56483: Request to append string to the documentation of a function

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jul 2022 12:05:25 +0200

[email-masked] writes:

> Whilst the strategy works, this requires adding `str` after the
> function `myfun` has been defined.  Does there exist the possibility
> to add `str` directly inside the docstring of the function when I am
> defining the function itself, avoiding the `(put` command mentioned
> earlier after the implementation of the function myfun?

You can make a macro around `defalias'.  In any case, this is not an
Emacs bug -- if you need help using Emacs, use one of the appropriate
mailing lists for that.

Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no